Subject: Re: [PATCH v2 0/3] arm64: dts: a7k: add COM Express boards

From: Gregory CLEMENT <[email-masked]>
Date: Mon, 26 Jan 2026 11:30:07 +0100

Hello Elad,

> From: Elad Nachman <[email-masked]>
>
> Add support for Armada 7020 Express Type 7 CPU module board by Marvell.
> Add device tree bindings for this board.
> Define this COM Express CPU module as dtsi and provide a dtsi file for
> the carrier board (Marvell DB-98CX85x0 COM Express type 7 carrier board).
>
> Since memory is soldered on CPU module, memory node is on CPU module
> dtsi file.
>
> This Carrier board only utilizes the PCIe link, hence no special device
> or driver support is provided by this dtsi file.
> Devise a dts file for the combined com express carrier and CPU module.
>
> The Aramda 7020 CPU COM Express board offers the following features:
>
> 1.  Armada 7020 CPU, with dual ARM A72 cores
> 2.  DDR4 memory, 8GB, on board soldered
> 3.  1Gbit Out of Band Ethernet via RGMII to PHY and RJ45 connector,
>     all are present on A7K CPU module (none on the carrier)
> 4.  Optional 10G KR Ethernet going via the COM Express type 7 connector
> 5.  On-board 8 Gbit, 8-bit bus width NAND flash
> 6.  On-board 512 Mbit SPI flash
> 7.  PCIe Root Complex, 4 lanes PCIe gen3 connectivity, going via the
>     COM Express type 7 connector
> 8.  m.2 SATA connector
> 9.  Micro-SD card connector
> 10. USB 2.0 via COM Express type 7 connector
> 11. Two i2c interfaces - one to the CPU module, and one to the
>     carrier board via the COM Express type 7 connector
> 12. UART (mini USB connector by virtue of FT2232D UART to USB
>     converter, connected to the Armada 7020 UART0)
>
> v2:
>   1) update 10gbase-kr to 10gbase-r in dtsi
>

I’ve already merged your previous version with this fix and even
included it in the PR for the next release.

However, I noticed a comment from Andrew. Could you provide a fix for
it, and I’ll try to include it i

Thanks,

Gregory

> Elad Nachman (3):
>   dt-bindings: arm64: add Marvell 7k COMe boards
>   arm64: dts: a7k: add COM Express boards
>   MAINTAINERS: Add Falcon DB
>
>  .../bindings/arm/marvell/armada-7k-8k.yaml    |  11 ++
>  MAINTAINERS                                   |   1 +
>  arch/arm64/boot/dts/marvell/Makefile          |   1 +
>  .../dts/marvell/armada-7020-comexpress.dtsi   | 161 ++++++++++++++++++
>  arch/arm64/boot/dts/marvell/armada-70x0.dtsi  |   7 +
>  .../boot/dts/marvell/armada-ap806-dual.dtsi   |   4 +-
>  .../dts/marvell/db-falcon-carrier-a7k.dts     |  27 +++
>  .../boot/dts/marvell/db-falcon-carrier.dtsi   |  22 +++
>  8 files changed, 232 insertions(+), 2 deletions(-)
>  create mode 100644 arch/arm64/boot/dts/marvell/armada-7020-comexpress.dtsi
>  create mode 100644 arch/arm64/boot/dts/marvell/db-falcon-carrier-a7k.dts
>  create mode 100644 arch/arm64/boot/dts/marvell/db-falcon-carrier.dtsi
>
> -- 
> 2.25.1
>

-- 
Grégory CLEMENT, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com